/* ====================================
				Woo 
=====================================*/
:root
{
--br-small:4px;	
--br-medium:25px;
--br-large:45px;	
--br-x-large:95px;
--br-round:50%;		
}
/* ==================================
			Global
================================== */
.ts-cart-sidebar .ts-qty-minus,
.ts-cart-sidebar .ts-qty-plus,
.ts-cart-sidebar .ts-mini-cart-qty input
{border-radius:var(--br-small);}
/* ==================================
			Products
================================== */
.ts-clip-path-1{
--r: 19px;
--s: 25px;	
-webkit-clip-path: shape(from 0 0, hline to calc(100% - var(--s) - 2 * var(--r)), arc by var(--r) var(--r) of var(--r) cw, arc by var(--s) var(--s) of var(--s), arc by var(--r) var(--r) of var(--r) cw, vline to 100%, hline to 0);
    clip-path: shape(from 0 0, hline to calc(100% - var(--s) - 2 * var(--r)), arc by var(--r) var(--r) of var(--r) cw, arc by var(--s) var(--s) of var(--s), arc by var(--r) var(--r) of var(--r) cw, vline to 100%, hline to 0);
  border-radius: var(--br-medium);
}
.br-small {border-radius:var(--br-small);}
.br-medium {border-radius:var(--br-medium);}
.br-large {border-radius:var(--br-large);}
.br-x-large {border-radius:var(--br-x-large);}
.br-round {border-radius:var(--br-round);}
.ts-view-switch{display:flex; margin:0 0 20px; gap:10px}
.ts-view-switch button,
.ts-cart-sidebar .ts-cart-close
{
		
    width: 38px;
    height:38px;
    border-radius: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
	background:#fff;
	box-shadow: 0 0 10px #0000001a;
	}

.ts-products.ts-grid-layout {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}
.ts-product-item{
    height: 100%;
	
}

.ts-product-item-inner {
    height: 100%;
    display: flex;
    flex-direction: column;
	background:#fff;
	overflow:hidden;
}
.ts-product-item-inner-content {
    display: flex;
    flex-direction: column;
    flex: 1;
	padding:15px;
}	
.ts-product-item-inner-content .ts-product-item-title { 
font-size:18px;
margin:15px 0;
}	
.ts-product-item-inner-content .ts-woo-show_price {
text-align:left;
font-size:15px; font-weight:bold;	
}
.ts-product-item-inner-content .ts-woo-show_price .price ins {text-decoration:none;}
.ts-products del .woocommerce-Price-amount.amount {color:red;}

.ts-products .ts-products-thumb{
    height:220px;
	position:relative;
	overflow:hidden;
}

.ts-products .ts-products-thumb img{
    width:100%;
    height:100%;
    object-fit:cover;
}
.ts-products-thumb a {
    position: relative;
    z-index: 1;
}
.ts-products .ts-products-thumb:hover img.hover-img {
    opacity: 1;
}
.ts-product-desc{
    font-size:14px;
    line-height:1.6;
    margin:10px 0;
    color:#666;
}
.ts-product-buttons {
    margin-top: auto;
}
.ts-product-item-inner-media {
	position:relative;

}
.ts-p-divider {position:absolute; left:0; top:-10px; width:100%;}
.ts-products .ts-products-thumb:after {
	content:"";
    position: absolute;
    content: "";
    top: 100%;
    left: 0;
    height: 100%;
    width: 100%;
    -webkit-transition: all .6s ease;
    transition: all .6s ease;
    background-size: 101% 101%;
	background:#eece38;
	border-radius: 400px 400px 0px 0px;
	z-index:1;
}
.ts-products .ts-products-thumb:hover:after {
left:0;
top:0;
border-radius: 0px 0px 0px 0px;
}
.ts-products .ts-cart-inner-wrap {
display: flex;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 99;
    align-items: center;
    justify-content: center;
	opacity: 0;
	    -webkit-transition: all .6s ease;
    transition: all .6s ease;
}

.ts-products .ts-products-thumb:hover .ts-cart-inner-wrap {
    opacity: 1;
}
.loading,
.ts-cart-processing {color:#fff; background:var(--theme-color); padding:5px; border-radius:50px;}

.tooltip .tooltip-inner {
background-color:var(--theme-color);
}
.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before, .bs-tooltip-top .tooltip-arrow::before
{
border-top-color:var(--theme-color);	
}
/* ==================================
			Badge
================================== */
.ts-products-badge {position:absolute; 
padding:5px 10px; 
background:green; 
color:#fff; 
border-radius:var(--br-small);
z-index:100;
}
.ts-stock-label{
    position:absolute;
    top:0px;
    left:10px;
    z-index:2;
    padding:4px 10px;
    font-size:12px;
    border-radius:4px;
    color:#fff;
}

.in-stock{
    background:green;
}

.out-stock{
    background:red;
}

.backorder-stock{
    background:orange;
}
/* ==================================
			Button
================================== */
.ajax_add_to_cart.added,
.add_to_cart_button,
a.ts-buy-now-btn,
.ts-woo-show_add_to_cart a,
.ts-view-cart,
.ts-checkout,
.ts-quick-view {
    font-weight: 600;
    padding: 5px 10px 5px 10px;
    color: #000;
	border-radius:35px;
    text-decoration: none; 
	display: inline-block;
    position: relative;
    z-index: 109;
    font-size: 0.9em;
}
.ajax_add_to_cart.added:hover,
.add_to_cart_button:hover,
.ts-woo-show_add_to_cart a:hover,
a.ts-buy-now-btn:hover,
.ts-quick-view:hover {
	color:#fff;
	background-color: var(--dark-color); 
}
a.added_to_cart.wc-forward:hover::before {
    opacity: 1;
}

/* hide Woo default text */
a.added_to_cart.wc-forward {
    font-size: 0;
    position: relative;
    margin-left: 8px;
}

/* .ts-product-item .add_to_cart_button::before { */
    /* content: "\F23F"; /* cart icon */ */
    /* font-family: "bootstrap-icons"; */
    /* margin-right: 6px; */
    /* font-size: 14px; */
/* } */
/* a.added_to_cart.wc-forward::after { */
    /* content: "\f07a"; /* cart icon */ */
    /* font-family: "Font Awesome 6 Free"; */
    /* font-weight: 900; */
    /* font-size: 16px; */
    /* color: #000; */
/* } */

a.added_to_cart.wc-forward::before {
    content: "View Cart";
    position: absolute;
    bottom: 120%;
    left: 50%;
    transform: translateX(-50%);
    background: #000;
    color: #fff;
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 4px;
    white-space: nowrap;
    opacity: 0;
    pointer-events: none;
    transition: 0.2s;
}

a.added_to_cart.wc-forward {
    display: none !important;
}
/* ==================================
			Out off stock
================================== */
.ts-out-of-stock-item{
    opacity:.6; filter:grayscale(1);
}

.ts-out-of-stock-item .ts-products-thumb a,
.ts-out-of-stock-item .add_to_cart_button,
.ts-out-of-stock-item .ts-buy-now-btn{
    pointer-events:none;
    cursor:not-allowed;
}

.ts-out-of-stock-item .add_to_cart_button,
.ts-out-of-stock-item .ts-buy-now-btn{
    opacity:1;
}
/* ==================================
			  Gallery
================================== */
.woocommerce-product-gallery {
    width: 100%;
}

.woocommerce-product-gallery__wrapper img {
    width: 100%;
    height: auto;
    display: block;
}
/* overlay */
#ts-quick-modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    display: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* modal box */
.ts-modal-box {
    background: #fff;
    width: 90%;
    max-width: 1000px;
    max-height: 90vh;
    overflow-y: auto;
    border-radius: 12px;
    position: relative;
    padding: 30px;
}

/* close button */
.ts-modal-close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 28px;
    border: none;
    background: none;
    cursor: pointer;
}
.ts-quickview-wrap .product {
    display: flex;
    gap: 30px;
    align-items: flex-start;
}

.ts-quickview-wrap .woocommerce-product-gallery {
    width: 50%;
}

.ts-quickview-wrap .summary {
    width: 50%;
}
/* TOAST */
#ts-toast {
    position: fixed;
    bottom: 30px;
    right: 30px;
    background: #222;
    color: #fff;
    padding: 12px 16px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    gap: 10px;
    opacity: 0;
    transform: translateY(20px);
    transition: 0.3s;
    z-index: 99999;
}

#ts-toast.show {
    opacity: 1;
    transform: translateY(0);
}

.ts-toast-cart {
    color: #fff;
    font-size: 18px;
    text-decoration: none;
}

/* mobile */
@media (max-width: 768px) {
    .ts-quickview-wrap .product {
        flex-direction: column;
    }

    .ts-quickview-wrap .woocommerce-product-gallery,
    .ts-quickview-wrap .summary {
        width: 100%;
    }
}
.ts-quickview-wrap .related,
.ts-quickview-wrap .upsells,
.ts-quickview-wrap .woocommerce-tabs,
.ts-quickview-wrap .ts-related-template
 {
    display: none;
}

.ts-quickview-wrap h1.product_title {
    font-size: 28px;
    margin-bottom: 10px;
}

.ts-quickview-wrap .price {
    font-size: 20px;
    color: #b77b5c;
    margin-bottom: 15px;
}

.ts-quickview-wrap .button {
    background: #b77b5c;
    color: #fff;
    border-radius: 6px;
}
#ts-quick-modal {
    opacity: 0;
    transition: 0.3s;
	z-index: 9999;
	visibility:hidden;
}

#ts-quick-modal.active {
    opacity: 1; 
z-index: 999999;	
visibility:visible;
}

.ts-modal-box {
    transform: scale(0.9);
    transition: 0.3s;
}

#ts-quick-modal.active .ts-modal-box {
    transform: scale(1);
}
/* smooth clone animation */
.ts-fly-img {
    border-radius: 8px;
    overflow: hidden;
}

/* cart bounce */
.ts-cart-bounce {
    animation: tsBounce 0.3s ease;
}

@keyframes tsBounce {
    0%   { transform: scale(1); }
    50%  { transform: scale(1.2); }
    100% { transform: scale(1); }
}
.ts-quickview-inner{
    display:flex;
    gap:40px;
}

.ts-qv-gallery,
.ts-qv-summary{
    width:50%;
}

.ts-qv-gallery img{
    width:100%;
}
.flex-control-nav.flex-control-thumbs
{display:flex;}
.flex-control-nav.flex-control-thumbs li
{flex:0 0 20%;}
#ts-quick-modal.active .woocommerce-product-gallery__trigger span {display:none;}
/* ==================================
		Product List View 
================================== */
.ts-products.ts-list-layout .ts-product-item {
position:relative;
}	
.ts-products.ts-list-layout .ts-product-item-inner {
display: flex;width:100%;  
gap: 20px;
width:100%;
margin-bottom: 20px; 
}
.ts-products.ts-list-layout .ts-product-item-inner-media {
flex: 0 0 20%;		
}
.ts-products.ts-list-layout .ts-product-item-inner-content {
flex: 0 0 80%;		
}

/* ==================================
		Pagination
================================== */
.ts-woo-pagination ul {
    display: flex;
    gap: 8px;
    justify-content: center;
    list-style: none;
    padding: 0;
}
.ts-woo-pagination {margin:25px 0;}
.ts-woo-pagination li a,
.ts-woo-pagination li span {
    padding: 6px 12px;
    border-radius: 6px;
    background: #f2f2f2;
    text-decoration: none;
}

.ts-woo-pagination li .current {
    background: #b77b5c;
    color: #fff;
}

.ts-woo-pagination li a:hover {
    background: #000;
}
.ts-woo-pagination li .page-numbers a{opacity:0.8;}

/* ======================================
				Drawer
======================================= */
.ts-account-cart {
    display: flex;
    align-items: center;
    gap: 15px;
}

.ts-account-cart .ts-cart-count {
position: absolute;
    top: -9px;
    right: auto;
    left: 10px;
    background: red;
    color: #fff;
    font-size: 10px;
    padding: 2px 6px;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
	
}
.ts-cart-overlay{
    position: fixed;
    inset: 0;
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	transition: all .3s ease;
    background: rgba(0,0,0,.5);
    z-index: 999998;
}
.ts-cart-overlay.active{
	opacity: 1;
	visibility: visible;
	pointer-events: auto;
	right: 0;
	transform:translateX(0);
}

.ts-cart-sidebar.closing {
	opacity: 0;
	transform: translateX(100%);
}
.ts-cart-sidebar{
    position:fixed;
    top:0;
    right:0;
    width:420px;
    max-width:100%;
    height:100vh;
    background:#fff;
    z-index:999999;
    transform:translateX(-100%);
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	transition: all .4s ease;
    padding: 20px;
    display:flex;
    flex-direction:column;
}
.ts-cart-sidebar.active{
	right: 0;
	opacity: 1;
	visibility: visible;
	pointer-events: auto;
    transform:translateX(0%);
}
body.ts-cart-open {
	overflow: hidden !important;
	overflow-y: hidden !important;
	padding-right: 0 !important;
}
.ts-cart-sidebar .ts-cart-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0px;
	margin-bottom:20px;
    border-bottom:1px solid #eee;
}
.ts-cart-sidebar .ts-cart-header h3 {font-size:20px;}
.ts-cart-sidebar .ts-cart-body{
    flex:1;
    overflow:auto;
}
.ts-cart-sidebar .ts-cart-body {
    scrollbar-width: 8px !important;
    scrollbar-color: var(--dark-color) #ffffff;
  }

  /* Chrome, Edge, and Safari */
.ts-cart-sidebar .ts-cart-body::-webkit-scrollbar {
    width: 8px!important;
	scrollbar-width: 8px!important;
    scrollbar-color: var(--dark-color) #ffffff;
  }

.ts-cart-sidebar .ts-cart-body::-webkit-scrollbar-track {
    background: #ffffff;
  }

.ts-cart-sidebar .ts-cart-body::-webkit-scrollbar-thumb {
    background-color: var(--dark-color);
    border-radius: 10px;
    border: 3px solid #ffffff;
  }


.ts-cart-sidebar .ts-mini-cart-qty {
    display: flex;
    align-items: center;
    gap: 8px;
}
.ts-cart-sidebar .ts-cart-close
{
top:-9px;
position: relative;
    width: 28px;
    height: 28px;
}

.circle{
  width:100px;
  height:100px;
  border-radius:50%;
  position:relative;
  overflow:hidden;
}
.circle::before{
  content:"";
  position:absolute;
  width:280px;
  height:280px;
  border-radius:50%;
  background:#ff0000;
  bottom:100%;
  left:50%;
  transform:translateX(-50%);
  transform-origin:bottom;
  transition:1s linear;
}
.circle::after{
  content:"";
  font-size:20px;
  text-align:center;
  line-height:98px;
  position:absolute;
  width:97px;
  height:97px;
  background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg' stroke='%23ff0000' stroke-width='2.5' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='M19 5L4.99998 19M5.00001 5L19 19'/%3E%3C/svg%3E");
  background-size:16%;
  background-repeat:no-repeat;
  background-position:center;
  background-color:#ffff;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
  border-radius:50%;
  color:red;
  cursor:pointer;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}
.circle:hover::before{
  transform:translateX(-50%) rotate(180deg);
}
.ts-cart-sidebar .ts-qty-minus,
.ts-cart-sidebar .ts-qty-plus {
    width: 28px;
    height: 28px;
    border: none;
	color:#fff;
    background: var(--dark-color);
    cursor: pointer;
}
.ts-cart-sidebar .ts-mini-cart-qty input{    
width: 30px;
padding: 0 5px;
text-align: center;
color:var(--text-color);
}
.ts-cart-sidebar .ts-mini-cart-qty input[type=number]::-webkit-inner-spin-button, 
.ts-cart-sidebar .ts-mini-cart-qty input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}

.ts-cart-sidebar .ts-remove-btn {
	position: absolute;
	top: 50%;
    right: 0%;
    transform: translate(-50%, -100%);
	z-index: 5;
}

.ts-cart-sidebar .ts-remove-btn a {
	font-size: 20px;
	line-height: 1;
	display: block;
}
@keyframes popIn {
    0% { transform: scale(0.9); opacity: 0; }
    100% { transform: scale(1); opacity: 1; }
}

.ts-cart-sidebar .ts-mini-cart-content {display:flex; gap:20px; margin-bottom:20px; position:relative;}
.ts-mini-cart-content {
	transition: all .3s ease;
}

.ts-mini-cart-content.removing {
	opacity: 0;
	transform: translateX(40px);
}
.ts-cart-sidebar .ts-mini-cart-content .ts-mini-cart-detail {flex-grow:1;}
.ts-cart-sidebar .ts-mini-cart-content .ts-mini-cart-price {margin-bottom:8px}
.ts-cart-sidebar .ts-mini-cart-thumb {flex:0 0 25%;}
.ts-cart-sidebar .ts-mini-cart-thumb img {border-radius:8px;}
.woocommerce .ts-cart-sidebar ul.cart_list li img, 
.woocommerce .ts-cart-sidebar ul.product_list_widget li img
 {
    float: none;
    margin-left:0;
    width: 100%;
    height: auto;
    box-shadow: none;
}
.ts-cart-sidebar .ts-cart-footer {
	padding-top: 20px;
	margin-top: 30px;
	border-top: 1px solid #eee;
position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background: #fff;
    z-index: 999;
    padding: 20px 20px;
}

.ts-cart-sidebar .ts-cart-actions {
	display: flex;
	gap: 10px;
	margin-top: 15px;
}

.ts-cart-sidebar .ts-cart-actions a {
	flex: 1;
	text-align: center;
	text-decoration: none;
    width: 100%;
    display: block;
    margin: 10px 0 0;
    text-align: center;
    line-height: 20px;
    padding: 8px 20px;
	border:1px solid var(--dark-color);
    transition: all .25s ease-out;
}
.ts-cart-sidebar .ts-cart-actions a:hover {
	color:#fff;
	border-color:var(--theme-color);
	background:var(--theme-color);
}
.ts-cart-sidebar .ts-cart-subtotal {
    display: flex;
    justify-content: space-between;	
}
.ts-cart-sidebar .woocommerce-Price-amount.amount
{
    font-size: 18px;	
}
.widget_shopping_cart,
.widget_shopping_cart_content,
.site-header-cart .widget_shopping_cart {
    display: none !important;
}
.ts-cart-items{
    display:none !important;
}
.ts-cart-overlay,
.ts-cart-sidebar {
	display: none!important;
	visibility:hidden;
}

.ts-cart-overlay.active,
.ts-cart-sidebar.active {
	display: inline-block!important;
	visibility:visible;
}
.ts-cart-fly-target{
	position: fixed;
	top: 30px;
	right: 30px;
	width: 20px;
	height: 20px;
	z-index: -1;
	opacity: 0;
	pointer-events: none;
}
